RDKit::FileParserUtils Namespace Reference

## Functions

template<typename T >
T | stripSpacesAndCast (const std::string &input, bool acceptSpaces=false)
int | toInt (const std::string &input, bool acceptSpaces=false)
double | toDouble (const std::string &input, bool acceptSpaces=true)
std::string | getV3000Line (std::istream *inStream, unsigned int &line)
bool | ParseV3000CTAB (std::istream *inStream, unsigned int &line, RWMol *mol, Conformer *&conf, bool &chiralityPossible, unsigned int &nAtoms, unsigned int &nBonds, bool strictParsing=true, bool expectMEND=true)
bool | ParseV2000CTAB (std::istream *inStream, unsigned int &line, RWMol *mol, Conformer *&conf, bool &chiralityPossible, unsigned int &nAtoms, unsigned int &nBonds, bool strictParsing=true)
Atom * | replaceAtomWithQueryAtom (RWMol *mol, Atom *atom)

## Function Documentation

std::string RDKit::FileParserUtils::getV3000Line | ( | std::istream * | inStream,
|  | unsigned int & | line
| ) |  |

bool RDKit::FileParserUtils::ParseV2000CTAB | ( | std::istream * | inStream,
|  | unsigned int & | line,
|  | RWMol * | mol,
|  | Conformer *& | conf,
|  | bool & | chiralityPossible,
|  | unsigned int & | nAtoms,
|  | unsigned int & | nBonds,
|  | bool | strictParsing = `true`
| ) |  |

bool RDKit::FileParserUtils::ParseV3000CTAB | ( | std::istream * | inStream,
|  | unsigned int & | line,
|  | RWMol * | mol,
|  | Conformer *& | conf,
|  | bool & | chiralityPossible,
|  | unsigned int & | nAtoms,
|  | unsigned int & | nBonds,
|  | bool | strictParsing = `true`,
|  | bool | expectMEND = `true`
| ) |  |

Atom* RDKit::FileParserUtils::replaceAtomWithQueryAtom | ( | RWMol * | mol,
|  | Atom * | atom
| ) |  |

template<typename T >

T RDKit::FileParserUtils::stripSpacesAndCast | ( | const std::string & | input,
|  | bool | acceptSpaces = `false`
| ) |  |

Definition at line 24 of file FileParserUtils.h.

double RDKit::FileParserUtils::toDouble | ( | const std::string & | input,
|  | bool | acceptSpaces = `true`
| ) |  |

int RDKit::FileParserUtils::toInt | ( | const std::string & | input,
|  | bool | acceptSpaces = `false`
| ) |  |